<?php $this->Extend('/Scaffolds/admin_form'); ?>

<?= $this->Form->addField('Account.id', array(
	'type' => 'hidden'
)) ?>
<?= $this->Form->addField('Account.first_name', array(
	'type' => 'string',
	'displayonly' => 'displayonly'
)) ?>
<?= $this->Form->addField('Account.last_name', array(
	'type' => 'string',
	'displayonly' => 'displayonly'
)) ?>
<?= $this->Form->addField('Account.email', array(
	'type' => 'string',
	'displayonly' => 'displayonly'
)) ?>
<?= $this->Form->addField('Account.api_reference', array(
	'type' => 'string',
	'displayonly' => 'displayonly',
	'label' => 'API Reference'
)) ?>

<?php if (Configure::read('BuzzDiaryAccounts.show_newsletter_opt_in') === true): ?>
	<div class="field">
		<div class="field__label">Newsletter Opt-in</div>
		<div class="field__value">
			<?php if ($account['Account']['newsletter_opt_in']): ?>
				<i class="fa fa-check"></i>
			<?php else: ?>
				<i class="fa fa-times"></i>
			<?php endif; ?>
		</div>
	</div>
<?php endif; ?>

<?= $this->Form->addField('Account.can_request_payments', array(
	'type' => 'boolean'
)) ?>
<?= $this->Form->addField('Account.can_create_camps', array(
	'type' => 'boolean'
)) ?>
